Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## com.google.web.bindery.autobean.shared
Annotation Type AutoBean.PropertyName

    @Documented
    @Retention(value=RUNTIME)
    @Target(value={METHOD,FIELD,PARAMETER})
    public static @interface AutoBean.PropertyName

An annotation that allows inferred property names to be overridden.

This annotation is asymmetric, applying it to a getter will not affect the setter. The asymmetry allows existing users of an interface to read old `AutoBeanCodex` messages, but write new ones.

Required Element Summary
`java.lang.String` | `value`

Element Detail

### value

    public abstract java.lang.String value

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT